<!DOCTYPE html>
<html>
<head>
	<meta charset="UTF-8">
    	<meta name="viewport" content="width=device-width, initial-scale=1">	
	<title>SVG Validator</title>
	<link href="vendor/bootstrap/css/bootstrap.min.css" rel="stylesheet">
	<link href="vendor/bootstrap/css/font-awesome.min.css" rel="stylesheet">
	<script defer src="vendor/bootstrap/js/jquery-3.6.0.js"></script>
	<script defer src="vendor/bootstrap/js/bootstrap.min.js"></script>
</head>
<style>
#image{
    cursor: pointer;
    width: 100px;
    height: 100px;
    border:2px solid #03b1ce ;
}
.var{ 
    font-size:16px; font-weight:600;
}
.bot-border{
    border-bottom:1px #f8f8f8 solid;  margin:5px 0  5px 0
}	
</style>
<body>
<?php
error_reporting(0);
if ((isset($_GET['svg']) && (array_key_exists('svg', $_GET)))) {
  header('Content-Type: image/svg+xml');
  $file = $_GET['svg'];
  $allowed_formats = ["image/svg+xml" => "svg"];
  $ch = curl_init($file);
  curl_setopt($ch, CURLOPT_RETURNTRANSFER, TRUE);
  curl_setopt($ch, CURLOPT_HEADER, TRUE);
  curl_setopt($ch, CURLOPT_NOBODY, TRUE);
  curl_setopt($ch, CURLOPT_FOLLOWLOCATION, TRUE);
  curl_exec($ch);
  $content = curl_exec($ch);
  $mime = curl_getinfo($ch, CURLINFO_CONTENT_TYPE);
  $path = parse_url($file, PHP_URL_PATH);
  $extension = pathinfo($path, PATHINFO_EXTENSION);
  if ([$mime => $extension] !== $allowed_formats) {
    exit('<br><br><br><center><b>This is not a SVG image! (missing MIME Type: image/svg+xml)</b></center><br><center><b><a href="index.php">Go back!</a></b></center>');
  }
  $size = curl_getinfo($ch, CURLINFO_CONTENT_LENGTH_DOWNLOAD);
  if ($size == -1) {
    $size = 'unknown';
  }
} else {
	echo "I think we need to see developer...";
	die();
}
libxml_disable_entity_loader(false);
$xmlfile = file_get_contents($_GET["svg"]);
$dom = new DOMDocument();
$dom->loadXML($xmlfile, LIBXML_NOENT | LIBXML_DTDLOAD);
?>
<div class="container">
	<div class="row">
       <div class="col-md-12">
<div class="panel panel-default">
   <div class="panel-body">
    <div class="box box-info">
	    <br>
            <div class="box-body">
                     <div class="col-md-12">
                     <div  align="center"> 
			<img src="<?= $file ?>" id="image" class="img-circle img-responsive"> 
                     </div>
              <br>
            </div>
            <div class="col-md-12">
            <h4 style="color:#28a745;">This is a valid SVG Image <a href="index.php">Go back</a></h4></span>
            </div>
            <div class="clearfix"></div>
            <hr style="margin:5px 0 5px 0;">
     <div class="clearfix"></div>
<div class="bot-border"></div>
<div class="col-sm-5 col-xs-6 var">Url:</div><div class="col-sm-7"><?= $file ?></div>
  <div class="clearfix"></div>
<div class="bot-border"></div>
<div class="col-sm-5 col-xs-6 var">MIME-type:</div><div class="col-sm-7"><?= $mime ?></div>
  <div class="clearfix"></div>
<div class="bot-border"></div>
<div class="col-sm-5 col-xs-6 var">Extension</div><div class="col-sm-7"><?= $extension ?></div>
  <div class="clearfix"></div>
<div class="bot-border"></div>
<div class="col-sm-5 col-xs-6 var">Size:</div><div class="col-sm-7"><?= $size ?></div>
          </div>
        </div>
    </div> 
    </div>
</div>  
   </div>
</div>
</body>
</html>
